Package ru.bgcrm.dao

# Class CustomerLinkDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.CommonLinkDAO
ru.bgcrm.dao.CustomerLinkDAO

public class CustomerLinkDAO extends CommonLinkDAO
Customer links used for now only for storing linked contract for plugin BGBilling.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomerLinkDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getColumnName()`
  `protected String`
  `getObjectType()`
  `protected String`
  `getTable()`
  `void`
  `searchCustomerByLink(Pageable<Customer> searchResult, CommonObjectLink link)`

  ### Methods inherited from class ru.bgcrm.dao.CommonLinkDAO

  `addLink, addLinkIfNotExist, copyLinks, copyLinks, deleteLink, deleteLinksTo, deleteLinksWithType, deleteObjectLinks, getLinkDAO, getObjectLinksWithType, isLinkExists, prepareLink, updateLinkTitles`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomerLinkDAO

    public CustomerLinkDAO(Connection con)

- ## Method Details

  - ### getTable

    protected String getTable()
    Specified by:
      `getTable` in class `CommonLinkDAO`

  - ### getColumnName

    protected String getColumnName()
    Specified by:
      `getColumnName` in class `CommonLinkDAO`

  - ### getObjectType

    protected String getObjectType()
    Specified by:
      `getObjectType` in class `CommonLinkDAO`

  - ### searchCustomerByLink

    public void searchCustomerByLink(Pageable<Customer> searchResult, CommonObjectLink link)